# Variables
#."$HOMEDIR\variables.ps1"

# Built-in API URL
# $AESITE = "http://dc01-aedev01:8088/ae/api/$VERSION"
# uc4rest URL
# $UC4SITE = "http://dc01-aedev01:8080/uc4rest/api/awa/"

#################
# General declarations #

$TIMSDIR = "E:\TIMSdev"
$HOMEDIR = "E:\TIMSdev\core"
$AMP= "&"
$DATE = (get-date).ToString('yyyy-MM-dd HH:mm:ss')
$SHORTDATE = (get-date).ToString('yyMMdd')

#################
# Automation Engine Configurations #

$CLIENT = "200"
$AESITE = "http://dc01-aedev01:8088/ae/api/v1/$CLIENT/"
$UC4SITE = "http://dc01-aedev01:8080/uc4rest/api/awa/"
$CALLEDOBJECT = "NDBH.TIMS.SCRI.INBOUND_FILE_PROCESSING"

#################
# User Information #

#$USER = "user"
$USER = "User"
#$PWD = "userpass"
$PWD = "pass"
$DEPT = "NDBH"
$CONNECTION = "AEDEV"
#$CONNECTION = "AEDEV02"
#$CONNECTION = "AEPROD02"
#$CONNECTION = "AEPROD"

#################
# Logging #

$LOGSLOCATION = "$TIMSDIR\logs\"
$PROCESSEDLOGS = "$TIMSDIR\ProcessedLogs\"

#################
# URLs #

#$LOGOUTURL = $UC4SITE+"logout/v1/auth?scope=all"
#$LOGOUTURL = $UC4SITE+"logout/v1/auth?scope=all$($AMP)token=$($TOKENVAL)"
#$LOGOUTURL = $UC4SITE+"logout/v1/auth?token=$($TOKENVAL)"
#$RUNURL = $SITE+"run/v1/Activities?name=$($CALLEDOBJECT)$($AMP)token=$($TOKENVAL)"
#$LOGINURL = $UC4SITE+"login/v1/auth?login=$USER&pwd=$PWD&connection=$CONNECTION&client=$CLIENT"
#$LOGOUTURL = $UC4SITE+"disconnect/v1/Users?name=$USER/$DEPT"
$RUNURL = $AESITE+"executions"

#################
# Token Invoke String #

$TOKENFILE = "$HOMEDIR\components\TOKENFILE.csv"


